Skip to navigation

Creates a new workflow task with the same fields and assignee as the provided task and creates a relationship between the two tasks

Creates a new workflow task based on the provided task

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_idstringRequired
The ID of the workflow task

Response

OK
displayIdstringOptional

User-friendly ID of the workflow task

idstringOptionalRead-only
The ID of the workflow task
archiveRecordobject or nullOptional
assigneeobject or nullOptional
clonedFromobject or nullOptional
createdAtstringOptional
The ISO formatted date and time that the task was created
creationOriginobjectOptional
creatorobjectOptional
executionOriginobject or nullOptional
The context into which a task was executed
fieldsmap from strings to objectsOptional
modifiedAtstringOptional
The ISO formatted date and time that the task was last modified
outputslist of objectsOptional
scheduledOndate or nullOptional
The date on which the task is scheduled to be executed
schemaobjectOptional
statusobjectOptional
webURLstringOptionalRead-onlyformat: "uri"
URL of the workflow task
workflowTaskGroupobjectOptional
executionFlowchartIdstringOptional
The ID of the flowchart that this task will execute. This will only be defined if the task has exectutionType FLOWCHART
executionTypeenumOptional
The method by which the task of the workflow is executed
nextOutputslist of objectsOptional
The outputs in the flowchart which are generated by this task.
nextTaskslist of objectsOptional
The downstream tasks in the flowchart which are generated by this task.
responsiblePartieslist of objectsOptional
List of users and teams that are responsible for this task
rootTaskobjectOptional
The task which is at the root of the flowchart. This will be null if the task is not part of a flowchart.
sourceOutputslist of objectsOptional
The parent outputs in the flowchart which were used to generate this task.
sourceTaskslist of objectsOptional
The parent tasks in the flowchart which were used to generate this task.
workflowOutputslist of objectsOptional
The outputs of the workflow task group

Errors

400
Bad Request Error
404
Not Found Error